
From: Kumar Gala <galak@freescale.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/kernel/setup.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN arch/ppc/kernel/setup.c~ppc32-report-chipset-version-in-common-proc-cpuinfo-handling-fix arch/ppc/kernel/setup.c
--- 25/arch/ppc/kernel/setup.c~ppc32-report-chipset-version-in-common-proc-cpuinfo-handling-fix	2005-03-24 12:27:39.000000000 -0800
+++ 25-akpm/arch/ppc/kernel/setup.c	2005-03-24 12:27:39.000000000 -0800
@@ -40,7 +40,10 @@
 #include <asm/nvram.h>
 #include <asm/xmon.h>
 #include <asm/ocp.h>
+
+#if defined(CONFIG_85xx) || defined(CONFIG_83xx)
 #include <asm/ppc_sys.h>
+#endif
 
 #if defined CONFIG_KGDB
 #include <asm/kgdb.h>
@@ -247,7 +250,7 @@ int show_cpuinfo(struct seq_file *m, voi
 	seq_printf(m, "bogomips\t: %lu.%02lu\n",
 		   lpj / (500000/HZ), (lpj / (5000/HZ)) % 100);
 
-#if defined (CONFIG_85xx) || defined (CONFIG_83xx)
+#if defined(CONFIG_85xx) || defined(CONFIG_83xx)
 	if (cur_ppc_sys_spec->ppc_sys_name)
 		seq_printf(m, "chipset\t\t: %s\n",
 			cur_ppc_sys_spec->ppc_sys_name);
_
